using System;

namespace AlphaSpace
{
	public class AlphaSpaceConfigToken : PaintDotNet.Effects.EffectConfigToken
	{
		// Declare variables here
		// Using getters/setters, you can manipulate the "value" before assigning it to your private variable.

		// Example using getters/setters:
		//----------------------------------------
		// private double variable;
		// public double Variable
		// {
		//     get { return variable; }
		//     set { this.variable = value; }
		// }

		// Example not using getters/setters:
		//----------------------------------------
		// public double variable;

		private int tolerance;
		
		public int Tolerance {
			get { return tolerance; }
			set { tolerance = value; }
		}
		private bool useBlack;
		
		public bool UseBlack {
			get { return useBlack; }
			set { useBlack = value; }
		}
		

		public AlphaSpaceConfigToken() : base()
		{
			// Set default variables here
			// this.variable = 0.0;
			tolerance = 125;
			useBlack = false;
		}

		protected AlphaSpaceConfigToken(AlphaSpaceConfigToken copyMe) : base(copyMe)
		{
			// this.variable = copyMe.variable;
			tolerance = copyMe.tolerance;
			useBlack = copyMe.useBlack;
		}

		public override object Clone()
		{
			return new AlphaSpaceConfigToken(this);
		}
	}
}
